Merge JSON doc updates?

12/23/2019 09:54 AM - zverok (Victor Shepelev)

Status: Closed   

Priority: Normal   

Assignee: hsbt (Hiroshi SHIBATA)   

Description

Sorry for bothering the core tracker.

I understand (though, only partially) that JSON standard library is in a weird state "it is kinda maintained but we can't contact

maintaner" (is there no way to just move the project's main repo under ruby github organization or make ruby/json fork the "master"

one?..), but if it is possible, I'd be really happy if those two PRs from MARCH OF 2018 that just improve documentation: 

https://github.com/flori/json/pull/347, https://github.com/flori/json/pull/349, would be merged before Ruby 2.7.

I am trying to make Ruby's documentation more consistent and friendly in general, and JSON's one is beside the most outdated. The

PRs are zero-risk (change not a symbol in code), so I hope their merging can be managed.

History

#1 - 12/23/2019 11:14 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

- Assignee set to hsbt (Hiroshi SHIBATA)

Thank you for contributing.

I and naruse got the approval for releasing the new version of JSON from flori.

So, I can merge and release them. But It's too late for releasing Ruby 2.7. I'm going to handle it in 2020.

#2 - 01/06/2020 06:22 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed

Applied at the following commits.

https://github.com/ruby/ruby/commit/2e5ef30cb9f56e5a7a8139e0f1d75bbcf5ee8362

https://github.com/ruby/ruby/commit/41ef6df8c93039aa1cd4a37e380a13cbfbc4d62f

https://github.com/ruby/ruby/commit/7f1e3a7b7ceb6e5bdfee13da50588d855156b7e0
